<div class="row">
    <div class="basic-info">
        <div class="exercise-img" [ngStyle]="imageStyle()"></div>

        <span class="name">{{ exercise.name }}</span>
    </div>

    <div class="muscle">
        <mat-icon svgIcon="sprite:athlete"></mat-icon>
        {{ exercise.muscle }}
    </div>

    <div class="info">
        <mat-icon>info</mat-icon>
        {{ getTypeOfExercise() }}
    </div>

    <div class="actions">
        <button mat-icon-button color="primary" (click)="openViewDialog()">
            <mat-icon>visibility</mat-icon>
        </button>
        <button mat-icon-button color="accent" (click)="openUpdateDialog()">
            <mat-icon>edit</mat-icon>
        </button>
        <button mat-icon-button color="warn" (click)="openDeleteDialog()">
            <mat-icon>delete</mat-icon>
        </button>
    </div>
</div>
